from nautobot.apps.ui import (
    NavMenuGroup,
    NavMenuItem,
    NavMenuTab,
)

menu_items = (
    NavMenuTab(
        name="Orange",
        groups=(
            NavMenuGroup(
                name="Provisioning",
                weight=100,
                items=(
                    NavMenuItem(
                        link="plugins:nautobot_obe:jobs",
                        name="Jobs",
                        permissions=["extras.view_job"],
                        buttons=(),
                    ),
                ),
            ),
            NavMenuGroup(
                name="IPAM",
                weight=200,
                items=(
                    NavMenuItem(
                        link="plugins:nautobot_obe:obe_core_prefix_list",
                        name="Core Prefixes",
                        weight=100,
                        permissions=[
                            "ipam.view_prefix",
                        ],
                    ),
                ),
            ),
        ),
    ),
)
